Bug 1440094 - Can't build RPM for patches that modify neutron setup.cfg file on 10.0.0 tag
Summary: Can't build RPM for patches that modify neutron setup.cfg file on 10.0.0 tag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Daniel Alvarez Sanchez
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks: 1440099
TreeView+ depends on / blocked
 
Reported: 2017-04-07 09:43 UTC by Daniel Alvarez Sanchez
Modified: 2017-05-17 20:18 UTC (History)
6 users (show)

Fixed In Version: openstack-neutron-10.0.0-14.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1440099 (view as bug list)
Environment:
Last Closed: 2017-05-17 20:18:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Daniel Alvarez Sanchez 2017-04-07 09:43:02 UTC
Because the setup.cfg included in U/S neutron tarballs [0] include tabs instead of spaces, and patches expect it to have spaces, rpmbuild can't apply patches that modify this file.

Although there's an RFE [1] to do this, in the meantime we can submit a double patch on top of the latest tagged commit:

1. Patch that uses the setup.cfg from the tarball (with tabs) - DROP-IN-RPM
2. Patch that uses the setup.cfg from git (with spaces and comments)

After this, all git patches that modify setup.cfg should apply and the RPM package should build normally.

[0] https://tarballs.openstack.org/neutron/
[1] https://github.com/openstack-packages/rdopkg/issues/112

Comment 3 Eran Kuris 2017-05-03 08:49:14 UTC
verified 
openstack-neutron-10.0.1-1.el7ost.noarch

Comment 4 errata-xmlrpc 2017-05-17 20:18:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.